# eric6.Helpviewer.Bookmarks.BookmarksDialog

Module implementing a dialog to manage bookmarks.

### Global Attributes

None

### Classes

BookmarksDialog | Class implementing a dialog to manage bookmarks.

### Functions

None

## BookmarksDialog

Class implementing a dialog to manage bookmarks.

### Signals

newUrl(QUrl, str)
  emitted to open a URL in a new tab
openUrl(QUrl, str)
  emitted to open a URL in the current tab

### Derived from

QDialog, Ui_BookmarksDialog

### Class Attributes

None

### Class Methods

None

### Methods

BookmarksDialog | Constructor
__activated | Private slot to handle the activation of an entry.
__customContextMenuRequested | Private slot to handle the context menu request for the bookmarks tree.
__edit | Private slot to edit a bookmarks properties.
__editAddress | Private slot to edit the address part of a bookmark.
__editName | Private slot to edit the name part of a bookmark.
__expandNodes | Private method to expand all child nodes of a node.
__newFolder | Private slot to add a new bookmarks folder.
__openBookmark | Private method to open a bookmark.
__openBookmarkInCurrentTab | Private slot to open a bookmark in the current browser tab.
__openBookmarkInNewTab | Private slot to open a bookmark in a new browser tab.
__saveExpandedNodes | Private method to save the child nodes of an expanded node.
__shutdown | Private method to perform shutdown actions for the dialog.
closeEvent | Protected method to handle the closing of the dialog.
reject | Public method called when the dialog is rejected.

### Static Methods

None

#### BookmarksDialog (Constructor)

BookmarksDialog(parent=None, manager=None)

Constructor

parent
  reference to the parent widget (QWidget
manager
  reference to the bookmarks manager object (BookmarksManager)

#### BookmarksDialog.__activated

__activated(idx)

Private slot to handle the activation of an entry.

idx
  reference to the entry index (QModelIndex)

#### BookmarksDialog.__customContextMenuRequested

__customContextMenuRequested(pos)

Private slot to handle the context menu request for the bookmarks tree.

pos
  position the context menu was requested (QPoint)

#### BookmarksDialog.__edit

__edit()

Private slot to edit a bookmarks properties.

#### BookmarksDialog.__editAddress

__editAddress()

Private slot to edit the address part of a bookmark.

#### BookmarksDialog.__editName

__editName()

Private slot to edit the name part of a bookmark.

#### BookmarksDialog.__expandNodes

__expandNodes(node)

Private method to expand all child nodes of a node.

node
  reference to the bookmark node to expand (BookmarkNode)

#### BookmarksDialog.__newFolder

__newFolder()

Private slot to add a new bookmarks folder.

#### BookmarksDialog.__openBookmark

__openBookmark(newTab)

Private method to open a bookmark.

newTab
  flag indicating to open the bookmark in a new tab (boolean)

#### BookmarksDialog.__openBookmarkInCurrentTab

__openBookmarkInCurrentTab()

Private slot to open a bookmark in the current browser tab.

#### BookmarksDialog.__openBookmarkInNewTab

__openBookmarkInNewTab()

Private slot to open a bookmark in a new browser tab.

#### BookmarksDialog.__saveExpandedNodes

__saveExpandedNodes(parent)

Private method to save the child nodes of an expanded node.

parent
  index of the parent node (QModelIndex)

Returns:
  flag indicating a change (boolean)

#### BookmarksDialog.__shutdown

__shutdown()

Private method to perform shutdown actions for the dialog.

#### BookmarksDialog.closeEvent

closeEvent(evt)

Protected method to handle the closing of the dialog.

evt
  reference to the event object (QCloseEvent) (ignored)

#### BookmarksDialog.reject

reject()

Public method called when the dialog is rejected.

Up